Subject: Re: [X2Go-Dev] Bug#117: Make Cinnamon selectable

From: Mike Gabriel <[email-masked]>
Date: Tue, 26 Mar 2013 00:26:29 +0100

tag #117 pending
fixed #117 4.1.0.0
thanks

On Mo 04 Feb 2013 13:36:24 CET Mirco Schmidt wrote:

> Package: x2goserver
> Severity: wishlist
>
> Hi hi,
>
> I tried to start cinnamon with this command: /usr/bin/gnome-session  
> --session cinnamon2d but it fail's! If I set it to:  
> /etc/X11/Xsession it should start the last session which is cinnamon  
> but come's up with a XFCE session...
> [12:18pm]
> [12:33pm]sunweaver:mirco, the command launched by X2Go does not  
> accept cmdline parms. Write a shell wrapper on the server and  
> execute that. Note: your wrapper must be in $PATH
> [12:33pm]mirco:THX
>
> made a wrapper like this and placed it in /usr/local/bin:
>
> #!/bin/bash
> /usr/bin/gnome-session --session cinnamon2d
>
> [12:37pm]mirco:sadly I end up with a blank screen, beatified by the  
> default debian Desktop background… Which is also my personal one!
>
> Thank's in advance
> Mirco

X2Go Server now is Cinnamon aware. Use ,,CINNAMON'' as command (other  
desktop). This fix will be available in X2Go Server 4.1.0.0 and above.

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=1de00f1102be015f6245ef2bc13c877a4c79fadd

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb